diff --git a/src/test/regress/expected/partition_prune.out b/src/test/regress/expected/partition_prune.out
index 792924fe0b..206d83dd96 100644
--- a/src/test/regress/expected/partition_prune.out
+++ b/src/test/regress/expected/partition_prune.out
@@ -2650,7 +2650,7 @@ select * from boolp where a = (select value from boolvalues where not value);
          Filter: (a = $0)
 (9 rows)
 
-drop table boolp;
+drop table boolp, boolvalues;
 --
 -- Test run-time pruning of MergeAppend subnodes
 --
diff --git a/src/test/regress/sql/partition_prune.sql b/src/test/regress/sql/partition_prune.sql
index 6f389bed1f..2f2fdf6e57 100644
--- a/src/test/regress/sql/partition_prune.sql
+++ b/src/test/regress/sql/partition_prune.sql
@@ -617,7 +617,7 @@ select * from boolp where a = (select value from boolvalues where value);
 explain (analyze, costs off, summary off, timing off)
 select * from boolp where a = (select value from boolvalues where not value);
 
-drop table boolp;
+drop table boolp, boolvalues;
 
 --
 -- Test run-time pruning of MergeAppend subnodes
